.img-placeholder__wrapper {
    position: relative;
    overflow: hidden;
    background-color: #313131;
    border-radius: 8px;
}

.img-placeholder__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #313131;
    z-index: 1;
}

.img-placeholder__shimmer {
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(
            90deg,
            transparent,
            rgba(218, 116, 0, 0.193),
            transparent
    );
    animation: img-placeholder-shimmer-animation 1.5s infinite;
    z-index: 2;
}

@keyframes img-placeholder-shimmer-animation {
    0% { left: -100%; }
    100% { left: 100%; }
}

.img-placeholder__wrapper.loaded .img-placeholder__shimmer,
.img-placeholder__wrapper.loaded .img-placeholder__bg {
    opacity: 0;
    transition: opacity 0.3s ease-out;
}

.img-placeholder__original-img {
    position: relative;
    z-index: 3;
    opacity: 0;
    transition: opacity 0.3s ease-in;
}

.img-placeholder__original-img.loaded {
    opacity: 1;
}

.carousel-control-prev,
.carousel-control-next,
.carousel-indicators {
    z-index: 10;
}